import { IOptions } from "../connection.ts";
import { TopologyServiceBase, WsTopology } from "./wsdl/WsTopology/v1.33/WsTopology.ts";
export { WsTopology };
export declare class TopologyService extends TopologyServiceBase {
    connectionOptions(): IOptions;
    protocol(): string;
    ip(): string;
    DefaultTpLogicalClusterQuery(request?: WsTopology.TpLogicalClusterQueryRequest): Promise<WsTopology.TpLogicalCluster>;
}
